Quick Start

This guide helps you use the Ad Hoc Transfer Plug-in for Outlook to securely send file attachments in just a few minutes.

To start using the Ad Hoc Transfer Plug-in for Outlook:

  1. Compose a new mail message in Outlook. On the Message tab on the ribbon menu, click MOVEit Attach File. After you select one or more files to send, the MOVEit Send form appears.

    Once you are in MOVEit Send mode, you can switch to other tabs on the ribbon. The MOVEit Send form will remain in the message window, indicating you are still in MOVEit Send mode.

    In the Message window, you can see a new tab on the ribbon in Outlook called MOVEit Send, where you can change MOVEit Send options, switch back to the standard mail message mode, or access the MOVEit Plug-in Help.

  2. Enter your recipients and the email subject, and write a message.

    You can include yourself as a recipient.

    The subject will always be included in the email that is sent to your recipients to notify them that you have sent files.

    The message you enter here is sent in one of the following ways:

    • If the Secure the message body option is selected, either by you or set by your administrator by default, the email will not include the message body. The message body can be seen when the recipient opens the package. In this case, you can be sure that information you enter in the message will be secure.
    • If the Secure the message body option is disabled, the message body will be part of the email, and will also be included in the package. In this case, the information you enter in the message should not be considered secure.

    Check the MOVEit Send form (at the bottom of the screen) to see if the Secure the Message Body option is enabled.

    Attached files are always sent securely.

  3. When you finish composing your email, click Send.

    The Ad Hoc Transfer Plug-in for Outlook sends the message and all file attachments to the MOVEit server. Your recipients will receive an email notification with a link to log onto the MOVEit server and download the file attachments.

    You can view the options set for the secure transfer you just sent, including the password required for unregistered recipients to view the attachments. For more information, see Viewing Sent Secure Transfers.

To learn more about sending files, see Sending Secure Transfers through MOVEit.


What is the Ad Hoc Transfer Plug-in for Microsoft Outlook?

Ad Hoc Transfer Plug-in for Outlook is a file transfer application that uses an email format to securely send files, without needing to send actual attachments (which may be too large to send). Similar to using email, you can browse your file system and add files to a message that the Ad Hoc Transfer system will then mail to recipients.

Instead of sending the files itself, the Outlook plug-in uploads the files to a MOVEit file transfer server. Email recipients receive messages with hyperlinks which, when clicked, connect them to a secure web page, where they can select and download the files.

You can use Ad Hoc Transfer Plug-in for Outlook to:

  • Send large files to recipients securely
  • Send a secure message
  • Manage access to the files you send
  • View the status of active file packages
  • Send files to yourself

Administrators can configure Ad Hoc Transfer Plug-in for Outlook to:

  • Establish limits for Ad Hoc Transfer file downloads (to make the best use of server resources)
  • Set Ad Hoc Transfer user limits and permissions
  • Provide a customized (branded) user interface

The Ad Hoc Transfer Plug-in for Outlook consists of:

  • An Outlook plug-in that lets you send secure transfers through the Ad Hoc Transfer system
  • MOVEit Connector, a tray application that lets you configure the server connection and view pending uploads and logs


Sending Secure Transfers through MOVEit

You compose and send a secure transfer through MOVEit much the same way that you compose and send a standard mail message.

To send files through MOVEit:

  1. In Outlook, open a new mail message window.
  2. To switch to MOVEit Send mode, click MOVEit Attach File and select a file to send or click Send through MOVEit on the MOVEit Send ribbon menu.

    You can click Send standard mail to switch off MOVEit Send mode.

  3. Enter the recipients, a subject, and a message, and attach the files you want to send.

    You can include yourself as a recipient.

    The subject will always be included in the email that is sent to your recipients to notify them that you have sent files.

    The message you enter here is sent in one of the following ways:

    • If the Secure the message body option is selected, either by you or set by your administrator by default, the email will not include the message body. The message body can be seen when the recipient opens the package. In this case, you can be sure that information you enter in the message will be secure.
    • If the Secure the message body option is disabled, the message body will be part of the email, and will also be included in the package. In this case, the information you enter in the message should not be considered secure.

    Check the MOVEit Send form (at the bottom of the screen) to see if the Secure the Message Body option is enabled.

    Attached files are always sent securely.

  4. Change any of the MOVEit Send options you want in the MOVEit Send form. See MOVEit Send Options for more information.

    You can change the default options at any time. See Default Send Options for more information.

  5. Click Send.

The Ad Hoc Transfer Plug-in for Outlook sends a notification email to the recipients and uploads your message and the attached files (known as the "package") to the file transfer server. (See Tracking Secure Transfer Upload Progress for information about file transfers.) To retrieve these files, recipients click a web page link in the email notification. After logging in to the web page, they can view the message and download the files that you sent.

If you exceed the MOVEit Send limits set by your Administrator, the file(s) will not be sent. The error that caused the failure can be viewed by opening the failed item in the MOVEit Outbox.

Depending on how your Administrator configured MOVEit, you may need to send a password to the recipient. See Sending a Password to Unregistered Recipients for information about how a password is generated and provided to recipients who are not registered MOVEit users.

If you compose a secure transfer message and click Send, but Outlook hasn't sent mail to the server yet, the secure transfer remains in Personal Folders > MOVEit Outbox until Outlook sends the message. If you are having problem sending secure transfers, see How do I recover from a failed send? in Troubleshooting.


MOVEit Send Options

  • MOVEit Send options appear in the MOVEit Send form at the bottom of the Message window when you switch to MOVEit Send mode.
  • Secure the message body. Any information that you (the sender) enter in the message body will be included in the secure package. The recipient will see the message after logging in to view the package. When this option is not selected, the message body is sent in the email to the recipient.
  • Files expire in __ Days/Hours. The length of time, in days or hours, recipients have to download a given file. This can be set to a value up to the maximum days, which is set by the Administrator.
  • Files expire after __ downloads. The number of times recipients may download a given transferred file. This can be set to a value up to the maximum downloads, which is set by the Administrator.
  • Delivery Receipt(s). When the recipient downloads a file from the Download Files page, send an email to notify the sender that the download has occurred.

See also Sending a Password to Unregistered Recipients for information about how a password is generated and provided to your recipients.

See Default Send Options to change the default options that are set when you compose a new secure transfer mail message.


Default Send Options

These are the default options used to send secure transfers through MOVEit. MOVEit Send options appear in the MOVEit Send form at the bottom of the Message window when you switch to MOVEit Send mode.

You may be able to set these options, depending on how the administrator has configured Ad Hoc Transfer in MOVEit.

  • Delivery Receipt(s). When the recipient downloads a file from the Download Files page, send an email to notify the sender that the download has occurred.
  • Secure the message body. Any information that you (the sender) enter in the message body will be included in the secure package. The recipient will see the message after logging in to view the package. When this option is not selected, the message body is sent in the email to the recipient.
  • Files expire in __ Days/Hours. The length of time, in days or hours, recipients have to download a given file. This can be set to a value up to the maximum days, which is set by the Administrator.
  • Files expire after __ downloads. The number of times recipients may download a given transferred file. This can be set to a value up to the maximum downloads, which is set by the Administrator.

See also Sending a Password to Unregistered Recipients for information about how a password is generated and provided to your recipients.


Viewing Sent Secure Transfers

There are two ways to view secure transfers that you sent:

  • After you send a message, you can view a copy of the secure transfer message in the Sent folder, which is in the list of Personal Folders in Outlook.
  • You can also display previously sent transfers by expanding Personal Folders > Search Folders in the list of Outlook mail folders, then selecting MOVEit Mail. This folder displays all secure transfer messages even if you moved them to folders other than the Sent folder.

Open the Sent message. The MOVEit Send form shows all of the send options applied to that package.

See MOVEit Send Options for more information.

See also Sending a Password to Unregistered Recipients for information about how a password is generated and provided to recipients who are not registered MOVEit users.


Sending a Password to Unregistered Recipients (DMZ)

To see the password associated with a package you have sent, and to see the email address for any unregistered user, go to the Outlook Sent folder and open the Sent message. The Send Form shows all the options associated with the message. Click Show Password to see the password.

The way the password is handled depends on how MOVEit is configured by your administrator, but will follow these rules:

  • If a recipient already has a user account for MOVEit, no password notification is sent, as they can log on to retrieve the files using their existing account. If a recipient does not have a user account for MOVEit, they will need a username and password to retrieve the files.
  • Passwords for unregistered recipients are automatically generated by MOVEit. A password is generated for each unregistered recipient and a list of the unregistered recipients and their passwords are shown on the Send Form. Unregistered recipients will use their email address as the username.
  • If your organization's settings require that you manually deliver the password to unregistered recipients, this will be stated on the Send Form. In this case, you will need to provide the password to unregistered recipients by sending it as a separate email, a phone call, fax, etc. in accordance with your organization's security policy.

Your Ad Hoc Transfer Plug-in for Outlook may be configured to automatically send the password. The password will be sent in a separate email notification that provides only the password.


What the Recipient Sees

The recipient of a secure transfer (also known as a "package") will receive a new package notification in their email inbox. Depending on how Ad Hoc Transfer Plug-in for Outlook is configured, this notification includes the following:

  • Always includes the Subject field from the message that you sent
  • May include the body of the message

    If the Secure the message body option is selected, either by you or set by your administrator by default, the notification will not include the message body. The message body can be seen when the recipient opens the package. If this option is not selected, the message body will be part of the notification, and will also be included in the package.

  • Always includes the web page link to the page that will show the message and the attached files

Depending on your organization's policy, the password may be automatically sent in a separate password notification, or it may be provided by you to each sender. For more information, see Sending a Password to Unregistered Recipients.

When a recipient clicks the web page link to view the package, they will see a logon page. The logon page will prompt for a password, and possibly a username, depending on whether the recipient is a registered MOVEit user:

  • MOVEit users will be prompted to enter their username and password
  • Unregistered users will see their email address entered as the username and will be prompted to enter the password sent to them

When the recipient completes the logon, they will see the Package that you sent, which includes the message that you entered in Outlook, and the attached file(s). The recipient can download any file(s) that you sent.

If you included your own email address as a recipient, you will not receive a new package notification. To access the secure transfer, go to the Outlook Sent folder and open the Sent message. The MOVEit Send Form shows all of the send options applied to that message.


Using Delivery Receipts

You can use delivery receipts to help you keep track of who has downloaded a secure transfer, when it was downloaded, and when it was sent. This can be helpful when you send secure transfers to multiple recipients, and also as an audit trail.

When you send a secure transfer, you can select the Delivery Receipts option. When the recipient downloads a file, you will receive an email notification (the Delivery Receipt) that the download has occurred.

The Delivery Receipt includes a link to a web page that shows a history of the actions related to the secure transfer (package). You can log on to this page with your MOVEit username and password.


MOVEit Send Connection Configuration

If not already configured, your Administrator will provide you with server information and authentication credentials to connect the Ad Hoc Transfer Plug-in for Outlook to the MOVEit server. Enter the information in the MOVEit Send connection dialog.

To open the connection dialog:

MOVEit Connector:

  1. Right-click the MOVEit Connector icon in the system tray.
  2. Click Configuration. The MOVEit Send connection dialog opens in the MOVEit Connector - Configuration window.

Outlook 2007:

  1. In the main Outlook window, on the menu click Tools > Options.
  2. In the Options dialog box, click the MOVEit Send tab. The MOVEit Send connection configuration dialog opens in the Options window.

Outlook 2010, 2013:

  1. In the main Outlook window, click the File tab.
  2. Click Options.
  3. In Outlook Options dialog box, click Add-Ins.
  4. Click Add-in Options to launch the Add-in options dialog. The MOVEit Send connection dialog opens in the Add-in Options window.

To configure the connection to your MOVEit server:

  1. Edit these options
    • Server. Enter the host name or the IP address for your MOVEit server. Your Administrator can supply this information.
    • User name. Enter your user name to access the MOVEit server.
    • Password. Enter your password to access the MOVEit server.
  2. Click Advanced Options if you need to change the connection or transfer log settings. See Advanced Options for more information.
  3. Click Default Send Options if you need to view or set the options that will be used for all secure transfers. See Default Send Options for more information.
  4. Click Apply or OK to save these settings.

To verify your connection status to the MOVEit server, hover the mouse cursor over the MOVEit Connector tray icon. You have a good connection if the notification reads MOVEit Connected OK.


Advanced Options

These options set the server connection and log settings. Your Administrator can provide the appropriate settings for your file transfer server.

The Connection settings configure your connection to the MOVEit server.

  • Server Port. The port on the file transfer server used to create the connection. The default HTTP port is 80; the default SSL port is 443.
    • This server requires an encrypted connection (SSL). Select this option to use a secure HTTPS connection. If you select this option, the value for Server Port will be set to 443, unless a custom port has been set by your Administrator.

      To secure communications, MOVEit DMZ sends a certificate back to your local PC. If your MOVEit DMZ administrator requires a client certificate, you can click the browse button next to the Certificate field and select the appropriate certificate from the Select a Certificate window. If you select the Suppress certificate errors option, any errors related to the certificate coming back from the MOVEit DMZ server will not be displayed on your PC.

    • Use Default. Click this button to set the port to the default value: 80 for HTTP, or 443 for the encrypted connection (HTTPS).

The Transfer Log settings specify whether and where to write the log and how much detail to provide.

Write transfer log to. When selected, secure transfer transactions will be logged to the location shown. You can click the browse button to specify a different folder. When not selected, the transactions are not logged.

Diagnostic level logging. Provides the connection and transfer information, in addition to the transaction. Do not select this option for extended periods of time unless requested by Ipswitch Support. See Viewing the Log for more information.


What is the MOVEit Connector?

The MOVEit Connector is a tray application that manages secure transfers to the MOVEit server for the Ad Hoc Transfer Plug-in for Outlook. It connects to the Ad Hoc Transfer system when you log into Windows and manages file transfers to the MOVEit server even if Outlook is closed.

The MOVEit Connector also displays status information about your connection to the MOVEit server. Descriptive error notifications tell you when the MOVEit Connector cannot connect to the server. You can also hover the mouse cursor over the tray icon to view the current status of the connection to the MOVEit server.

Right-click the MOVEit Connector icon in the system tray to access the MOVEit Connector menu. The menu options are:

  • Configuration. Edit server configuration options. See Configuring the MOVEit Send Connection for more information.
  • Pending Transfers. Track secure transfer progress.
  • Send Pending Packages. Attempts to send any packages in the MOVEit outbox.
  • Log. View the MOVEit Connector log.
  • Help. View the Ad Hoc Transfer Plug-in for Outlook Help.
  • Reconnect. Refresh the connection to the MOVEit server. See Troubleshooting for more information.
  • Change Password. Change your MOVEit password. This option only appears if the MOVEit server forces you to change your password to connect.
  • Exit. Close the MOVEit Connector.

    If you close the MOVEit Connector, Ad Hoc Transfer Plug-in for Outlook cannot send any messages until you restart the MOVEit Connector. You can restart it from Start > All Programs > Startup > Ipswitch MOVEit Connector; or from Start > All Programs > Ipswitch Ad Hoc Transfer Plug-in > Ipswitch MOVEit Connector.


Tracking Secure Transfer Progress

To view secure transfer upload progress, right-click the MOVEit Connector tray icon and select Pending Transfers. The Pending Transfers window opens and displays a queue of pending transfers to the MOVEit server.

These categories provide information about each secure transfer in the queue:

  • Subject. The subject of the message used to send the secure transfer.
  • Status. Indicates the status of the secure transfer.
  • Size. The combined size of all files to be transfered to the MOVEit server.
  • Age. How long ago the secure transfer was added to the queue.
  • Last Error. Displays the transfer's last error.


Viewing the Log

To view the log file:

  1. Right-click the MOVEit Connector tray icon and select Log.
  2. The log appears in a new window.

See Advanced Options to change the log location and enable diagnostic level logging.


Troubleshooting

These topics help you troubleshoot problems with the Ad Hoc Transfer Plug-in for Outlook and the MOVEit Connector.


Cannot locate the server

If the MOVEit Connector cannot reach the server:

  • Ensure your computer is connected to the network (by opening a web page).
  • Check the host/IP provided by your administrator in the Configuring the MOVEit Send Connection.
  • Check with your administrator to see if the server is offline.


Cannot connect due to an authentication error

If the MOVEit Connector can reach the server, but cannot authenticate:

  • Check the username/password provided by your administrator.
  • Check with your server administrator to see if your account or IP address has been disabled and if you have access to Ad Hoc Transfer.
  • You may need to change your password if your account is active.


Cannot connect due to an SSL issue

If the MOVEit Connector cannot connect to the server because of an SSL error:

  • Select This server requires an encrypted connection (SSL) in the Advanced Options if it is required to connect to the MOVEit server.
  • If your administrator instructed you to connect with a client certificate, ensure that it is configured properly.
  • Select Suppress certificate errors in the Advanced Options.

    If you still cannot connect, consult your Administrator. You may need to add the remote server’s certificate to the list of trusted certificates on your computer.


Why isn't the Ad Hoc Transfer Plug-in for Outlook sending files?

If you compose a secure transfer and click Send, but your files do not transfer:

  • Ensure that your computer has a network connection.
  • Ensure that the MOVEit Connector is running and connected.

    To verify your connection status to the MOVEit server, hover the mouse cursor over the MOVEit Connector tray icon. You have a good connection if the notification reads MOVEit Connected OK.

  • Ensure that you sent the file in MOVEit Send mode.
  • Ensure that you have not attached more files than the maximum size allowed for all files.
  • You might need to reconnect to the MOVEit server if you have a good connection to the server and are still not able to send secure transfers.

    When your Administrator changes MOVEit server settings, the MOVEit Connector must reconnect to the server before you can send files. Although the MOVEit Connector automatically refreshes the connection to the server (the default is every 10 minutes), you can manually refresh your connection at any time.

    To manually reconnect to the MOVEit server, right-click the MOVEit Connector tray icon and select Reconnect. Once the MOVEit Connector finishes reconnecting, try sending the secure transfer again.


How do I recover from a failed send?

You may encounter a situation in which you compose and send a secure transfer, but the Ad Hoc Transfer Plug-in for Outlook does not actually send your files to your recipients. The message stays in the the Personal Folders > MOVEit Outbox folder until you fix the problem and attempt to send again. (See Why isn't the Ad Hoc Transfer Plug-in for Outlook sending files? for some reasons that Outlook does not send the message.)

After you fix the issue, check the Personal Folders > MOVEit Outbox folder for the unsent message and send the message again.